Package com.pixelmed.utils

# Class PdfDecoder

java.lang.Object
com.pixelmed.utils.PdfDecoder

public class PdfDecoder extends Object

A class for to encapsulate JPedal PDF decoding capability if available at runtime without requiring it for compilation.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Object`
`pdfDecoder`
`protected Class`
`pdfDecoderClass`

## Constructor Summary

Constructors
Constructor
Description
`PdfDecoder()`

## Method Summary

Modifier and Type
Method
Description
`void`
`closePdfFile()`
`void`
`decodePage(int page)`
`Component`
`getComponent()`
`int`
`getDPI()`
`BufferedImage`
`getPageAsImage(int pageIndex)`
`int`
`getPageCount()`
`void`
`openPdfFile(String filename)`
`void`
`setBackground(Color color)`
`void`
`setPageParameters(float scaling, int pageNumber)`
`void`
`useHiResScreenDisplay(boolean value)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pdfDecoderClass

protected Class pdfDecoderClass

### pdfDecoder

protected Object pdfDecoder

## Constructor Details

### PdfDecoder

public PdfDecoder() throws PdfException

Throws:
  `PdfException`

## Method Details

### useHiResScreenDisplay

public void useHiResScreenDisplay(boolean value) throws PdfException

Throws:
  `PdfException`

### openPdfFile

public void openPdfFile(String filename) throws PdfException

Throws:
  `PdfException`

### closePdfFile

public void closePdfFile() throws PdfException

Throws:
  `PdfException`

### getPageCount

public int getPageCount() throws PdfException

Throws:
  `PdfException`

### getDPI

public int getDPI() throws PdfException

Throws:
  `PdfException`

### setPageParameters

public void setPageParameters(float scaling, int pageNumber) throws PdfException

Throws:
  `PdfException`

### decodePage

public void decodePage(int page) throws PdfException

Throws:
  `PdfException`

### setBackground

public void setBackground(Color color) throws PdfException

Throws:
  `PdfException`

### getPageAsImage

public BufferedImage getPageAsImage(int pageIndex) throws PdfException

Throws:
  `PdfException`

### getComponent

public Component getComponent()